public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
* [tests/selinux] pr775-checkpolicy-revdeps: kernel/selinux-testsuite: fix existence check in boolSet
@ 2026-09-11 13:18 Ondrej Mosnacek
0 siblings, 0 replies; only message in thread
From: Ondrej Mosnacek @ 2026-09-11 13:18 UTC (permalink / raw)
To: git-commits
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : a5ae35d6afba6ba87191efc9d587463d1890d76f
Author : Ondrej Mosnacek <omosnace@redhat.com>
Date : 2020-07-15T10:50:18+02:00
Stats : +1/-1 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/a5ae35d6afba6ba87191efc9d587463d1890d76f?branch=pr775-checkpolicy-revdeps
Log:
kernel/selinux-testsuite: fix existence check in boolSet
When the boolean name passed to boolSet is an alias, then the current
implementation would always skip setting the boolean. That in turn
causes allow_domain_fd_use to remain unset when it is an alias and the
testsuite fails (because it then doesn't reset the value due to `make`
logic). That can cause AVCs in later tests and so needs to be fixed.
The fix is to just try `getsebool <name>` instead of grepping `getsebool
-a` for the boolean name.
Signed-off-by: Ondrej Mosnacek <omosnace@redhat.com>
---
diff --git a/kernel/selinux-testsuite/runtest.sh b/kernel/selinux-testsuite/runtest.sh
index 4b6aec7..a3bc970 100755
--- a/kernel/selinux-testsuite/runtest.sh
+++ b/kernel/selinux-testsuite/runtest.sh
@@ -114,7 +114,7 @@ function boolGet() {
getsebool "$1" | cut -d ' ' -f 3
}
function boolSet() {
- getsebool -a | cut -d ' ' -f 1 | grep "^$1\$" || return 0
+ getsebool "$1" &>/dev/null || return 0
setsebool "$1" "$2" || return 1
[ "$(boolGet "$1")" == "$2" ]
}
^ permalink raw reply related [flat|nested] only message in thread
only message in thread, other threads:[~2026-09-11 13:18 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2026-09-11 13:18 [tests/selinux] pr775-checkpolicy-revdeps: kernel/selinux-testsuite: fix existence check in boolSet Ondrej Mosnacek
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox